Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdReceipt.FiscalReceipt.FiscalSale

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt.FiscalSale

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static class cmdReceipt.FiscalReceipt.FiscalSale
    extends cmdReceipt.FiscalReceipt

Class of the sale process and the transactions associated with it

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType` |

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt

  `cmdReceipt.FiscalReceipt.FiscalSale, cmdReceipt.FiscalReceipt.FiscalTransaction, cmdReceipt.FiscalReceipt.FreeFiscalTextType, cmdReceipt.FiscalReceipt.Storno`

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `cmdReceipt.BarcodeType, cmdReceipt.FiscalReceipt, cmdReceipt.InvoiceClientInfo, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaidMode, cmdReceipt.SeparatingLine, cmdReceipt.TotalResult`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalSale()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `add()` | Registration of free sale
  `void` | `add​(java.lang.String descriptionL1, java.lang.String descriptionL2, java.lang.String taxCd, java.lang.String price, java.lang.String qwan, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String percentAbs)` | Registration of free sale by VAT group
  `void` | `addByDepartment​(java.lang.String descriptionL1, java.lang.String descriptionL2, java.lang.String dept, java.lang.String price, java.lang.String qwan, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String percentAbs)` | Registration of free sale by department
  `void` | `addByPLU​(java.lang.String pluCode, java.lang.String dept, java.lang.String quantity, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String discountValue)` | Registering the sale of a programmed item
  `java.lang.String` | `getsDiscValueStr()` |
  `boolean` | `isSendToDisplay()` |
  `cmdReceipt.TotalResult` | `saleTotal​(java.lang.String sDescriptionL1, java.lang.String sDescriptionL2, java.lang.String paymentType, java.lang.String tenderAmount)` | Payments and calculation of the total sum
  `void` | `setsDept​(java.lang.String sDept)` |
  `void` | `setsDescriptionL1​(java.lang.String sDescriptionL1)` |
  `void` | `setsDescriptionL2​(java.lang.String sDescriptionL2)` |
  `void` | `setsDiscountType​(java.lang.String sDiscountType)` |
  `void` | `setsDiscValueStr​(java.lang.String sDiscValueStr)` |
  `void` | `setSendToDisplay​(boolean sendToDisplay)` |
  `void` | `setsPLU​(java.lang.String sPLU)` |
  `void` | `setsPrice​(java.lang.String sPrice)` |
  `void` | `setsQwan​(java.lang.String sQwan)` |
  `void` | `setsTaxCd​(java.lang.String sTaxCd)` |
  `java.lang.String` | `subtotal​(boolean print, boolean dispaly, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType corecctionType, java.lang.String corecctionValue)` | subtotal

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt.FiscalReceipt

  `cancel, cashInCashOut, closeFiscalReceipt, drawerKickOut, getAllreceipt, getFiscReceipt, getLastDocNumber, getLastUNP, getNextFiscReceipt, getOpCode, getOpPwd, getTillNmb, isInvoice, isOpen, openFiscalReceipt, openFiscalReceipt, openInvoice, paperCutting, paperFeed, printFreeText, printFreeText, printSeparatingLine, setOpCode, setOpPwd, setTillNmb`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdReceipt

  `printBarcode, setPrintBarcodeData`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalSale

    public FiscalSale()

- ## Method Details

  - ### isSendToDisplay

    public boolean isSendToDisplay()

  - ### setSendToDisplay

    public void setSendToDisplay​(boolean sendToDisplay)

  - ### addByPLU

    public void addByPLU​(java.lang.String pluCode, java.lang.String dept, java.lang.String quantity, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String discountValue) throws java.lang.Exception
    Registering the sale of a programmed item
    Parameters:
      `pluCode` -
      `dept` -
      `quantity` -
      `unitName` -
      `correctionType` -
      `discountValue` -
    Throws:
      `java.lang.Exception`

  - ### add

    public void add() throws java.lang.Exception
    Registration of free sale
    Throws:
      `java.lang.Exception`

  - ### addByDepartment

    public void addByDepartment​(java.lang.String descriptionL1, java.lang.String descriptionL2, java.lang.String dept, java.lang.String price, java.lang.String qwan, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String percentAbs) throws java.lang.Exception
    Registration of free sale by department
    Parameters:
      `descriptionL1` -
      `descriptionL2` -
      `dept` -
      `price` -
      `qwan` -
      `percentAbs` -
    Throws:
      `java.lang.Exception`

  - ### add

    public void add​(java.lang.String descriptionL1, java.lang.String descriptionL2, java.lang.String taxCd, java.lang.String price, java.lang.String qwan, java.lang.String unitName, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType correctionType, java.lang.String percentAbs) throws java.lang.Exception
    Registration of free sale by VAT group
    Parameters:
      `descriptionL1` -
      `descriptionL2` -
      `taxCd` -
      `price` -
      `qwan` -
      `percentAbs` -
    Throws:
      `java.lang.Exception`

  - ### subtotal

    public java.lang.String subtotal​(boolean print, boolean dispaly, cmdReceipt.FiscalReceipt.FiscalSale.CorrectionType corecctionType, java.lang.String corecctionValue) throws java.lang.Exception
    subtotal
    Parameters:
      `corecctionType` - - type of discount. '0' or empty - no discount; '1' - surcharge by percentage; '2' - discount by percentage; '3' - surcharge by sum; '4' - discount by sum; If {DiscountType} is non zero, {DiscountValue} have to contain value.
      `corecctionValue` - value of discount. a number from 0.00 to 21474836.47 for sum operations; a number from 0.00 to 99.99 for percentage operations; If {DiscountType} is zero or empty, this parameter must be empty
    Returns:
      subtotal of the receipt ( 0.00...9999999.99 or 0...999999999 depending dec point position );
    Throws:
      `java.lang.Exception`

  - ### saleTotal

    public cmdReceipt.TotalResult saleTotal​(java.lang.String sDescriptionL1, java.lang.String sDescriptionL2, java.lang.String paymentType, java.lang.String tenderAmount) throws java.lang.Exception
    Payments and calculation of the total sum
    Parameters:
      `paymentType` - - Type of payment; DATECS FP-800 / FP-2000 / FP-650 / SK1-21F / SK1-31F/ FMP-10 / FP-550 'P' - Cash payment (default); 'N' - Payment by credit; 'C' - Payment by check; 'D' - Debit card payment 'I' - Programmable type of payment 1 'J' - Programmable payment type 2 'K' - Programmable payment type 3 'L' - Programmable type of payment 4 'I' - Programmable payment type 1 'J' - Programmable payment type 2 'K' - Programmable type of payment 3 'L' - Programmable payment type 4 'M' - Coupons 'N' - External coupons 'O' - Packaging 'P' - Internal service 'Q' - Damage 'R' - Bank transfers 'S' - With check

      Type of payment; DATECS DP-05, DP-25, DP-35 , WP-50, DP-150 "P" - Cash payment (default); "N" - Payment by credit; "C" - Debit card payment; "D" - Payment by check; "I" - Payment with voucher;* "J" - Payment with coupon;

      `tenderAmount` - - Amount to pay ( 0.00...9999999.99 or 0...999999999 depending dec point position );
    Throws:
      `java.lang.Exception`

  - ### setsDescriptionL1

    public void setsDescriptionL1​(java.lang.String sDescriptionL1)

  - ### setsDescriptionL2

    public void setsDescriptionL2​(java.lang.String sDescriptionL2)

  - ### setsTaxCd

    public void setsTaxCd​(java.lang.String sTaxCd)

  - ### setsDept

    public void setsDept​(java.lang.String sDept)

  - ### setsPrice

    public void setsPrice​(java.lang.String sPrice)

  - ### setsQwan

    public void setsQwan​(java.lang.String sQwan)

  - ### setsDiscountType

    public void setsDiscountType​(java.lang.String sDiscountType)

  - ### getsDiscValueStr

    public java.lang.String getsDiscValueStr()

  - ### setsDiscValueStr

    public void setsDiscValueStr​(java.lang.String sDiscValueStr)

  - ### setsPLU

    public void setsPLU​(java.lang.String sPLU)